package chess4j.board.directions;

import chess4j.board.Square;

public class North extends Direction {

	private static North INSTANCE = new North();
	
	private North() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file(), sq.rank().north());
	}
	
	public static North getInstance() {
		return INSTANCE;
	}
}
